package com.gic.haoban.manage.service.dao.mapper.hm;

import java.util.List;

import com.gic.haoban.manage.service.entity.hm.TabHmLinkStore;

/**
 * 
 * @ClassName: TabHaobanHmLinkStoreMapper
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年07月04日 11:19:29
 * @Modify
 * @CopyRight 
 */
public interface HmLinkStoreMapper {

    public int insertBatch(List<TabHmLinkStore> list);

    public int deleteByLinkId(Long linkId);
    
    public int deleteById(List<Long> list);

    /**
     * 
    * @Title: listByLinkId
    * @Description: 查询链接配置的门店
    * @author xugh
    * @param linkId
    * @return
    * @throws
     */
    public List<TabHmLinkStore> listByLinkId(Long linkId);
}